#
# spec file for package sgmltools-lite
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define syscfgsgml %{_sysconfdir}/sgml
%define regcat %{_bindir}/sgml-register-catalog
%define INSTALL install -m755 -s -p
%define INSTALL_SCRIPT install -m755 -p
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644 -p
Name:           sgmltools-lite
Version:        3.0.2
Release:        lp152.3.2
Summary:        SGML Converter Suite
License:        GPL-2.0+
Group:          Productivity/Publishing/SGML
Url:            http://sourceforge.net/projects/sgmltools-lite/
Source:         http://download.sourceforge.net/sgmltools-lite/sgmltools-lite-%{version}.tar.gz
Patch0:         sgmltools-lite-html.diff
BuildRequires:  docbook-dsssl-stylesheets
BuildRequires:  openjade
BuildRequires:  python
BuildRequires:  sgml-skel
BuildRequires:  w3m
Requires:       docbook-dsssl-stylesheets
Requires:       docbook_3
Requires:       docbook_4
Requires:       iso_ent
Requires:       openjade
Requires:       opensp
Requires:       python
Requires:       w3m
Requires(pre):  %{regcat}
BuildArch:      noarch

%description
SGML Converter Suite written in Python.

%prep
%setup -q
%patch0 -p 1

%build
# `make clean' is needed for 3.0.2 (spurious config.* files)
# 2000-11-02 07:02:08 CET -ke-
make %{?_smp_mflags} clean
%configure \
  --with-etcsgml=%{syscfgsgml}
make %{?_smp_mflags}

%install
#make install prefix=$RPM_BUILD_ROOT/usr
# make install.man
mkdir -p %{buildroot}%{_bindir}
%{INSTALL_SCRIPT} bin/sgmltools %{buildroot}%{_bindir}
%{INSTALL_SCRIPT} bin/sgmlwhich %{buildroot}%{_bindir}
%define sgmldir %{_datadir}/sgml
%define sgmltoolsdir %{sgmldir}/stylesheets/sgmltools
%define sgmltoolsdtddir %{sgmldir}/dtd/sgmltools
%define sgmltoolspythondir %{sgmldir}/misc/sgmltools/python
%define sgmltoolspythonbackendsdir %{sgmltoolspythondir}/backends
mkdir -p %{buildroot}%{sgmltoolsdir}
for i in dsssl/*.dsl dsssl/*.cat; do \
  %{INSTALL_DATA} $i %{buildroot}%{sgmltoolsdir}; \
done
mkdir -p %{buildroot}%{sgmltoolsdtddir}
for i in dtd/[a-z]*; do \
  %{INSTALL_DATA} $i %{buildroot}%{sgmltoolsdtddir}; \
done
mkdir -p %{buildroot}%{_mandir}/man1
%{INSTALL_DATA} man/sgmltools.1 %{buildroot}%{_mandir}/man1/sgmltools-lite.1
mkdir -p %{buildroot}%{sgmltoolspythonbackendsdir}
for i in python/*.py; do \
  %{INSTALL_DATA} $i %{buildroot}%{sgmltoolspythondir}; \
done
for i in python/backends/*.py; do \
  %{INSTALL_DATA} $i %{buildroot}%{sgmltoolspythonbackendsdir}; \
done
%{INSTALL_DATA} VERSION %{buildroot}%{sgmldir}/misc/sgmltools
mkdir -p %{buildroot}%{syscfgsgml}
%{INSTALL_DATA} aliases %{buildroot}%{syscfgsgml}/aliases
# catalog is maintained by sgml-skel 2003-05-26 16:13:37 CEST -ke-
# # install -m 644 catalog.suse $RPM_BUILD_ROOT%{syscfgsgml}/catalog
# :> $RPM_BUILD_ROOT%{syscfgsgml}/catalog
# for c in `echo %{sgmldir}/CATALOG.iso_ent \
#                %{sgmldir}/CATALOG.docbook-dsssl-stylesheets \
#                %{sgmldir}/CATALOG.docbook_[0-9] \
#                %{sgmldir}/openjade/catalog \
#                %{buildroot}%{sgmltoolsdir}/*cat \
#                %{buildroot}%{sgmltoolsdtddir}/catalog*` ; do
#   if [ -f $c ] ; then
#     # remove %{buildroot} from filenames installed with this package
#     echo CATALOG \"$c\" | sed 's:%{buildroot}::' \
#       >> $RPM_BUILD_ROOT%{syscfgsgml}/catalog
#   else
#     echo CATALOG $c is missing. && exit 1
#   fi
# done
# # sed 's:/local::' catalog.suse >> $RPM_BUILD_ROOT%{syscfgsgml}/catalog

%post
if [ -x %{regcat} ]; then
  %{regcat} -a %{sgmltoolsdir}/sgmltools.cat >/dev/null 2>&1
fi
exit 0

%preun
if [ -x %{regcat} ]; then
  %{regcat} -r %{sgmltoolsdir}/sgmltools.cat  >/dev/null 2>&1
fi
exit 0

%files
%doc README POSTINSTALL index.html COPYING
%config %{syscfgsgml}/aliases
%{_bindir}/*
%{_mandir}/*/*
%{sgmldir}/*

%changelog
* Sun Aug 13 2017 mpluskal@suse.com
- Small cleanup with help of spec-cleaner
* Fri Aug 11 2017 pgajdos@suse.com
- do not require lynx for build [bsc#1052979]
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Thu Jul 31 2008 ke@suse.de
- Cosmetic spec file changes.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jun 20 2005 schwab@suse.de
- Don't fiddle with /etc/sgml/catalogue in %%pre and %%post.
* Thu Feb  5 2004 hmacht@suse.de
- building as non-root (#norootforbuild)
* Fri Jun 13 2003 kukuk@suse.de
- Fix typo in preun script
* Mon May 26 2003 ke@suse.de
- Cleanup $RPM_BUILD_ROOT.
* Mon Nov 25 2002 ke@suse.de
- %%{_sysconfdir}/catalog now maintained by sgml-register-catalog
  dynamically and belongs to package sgml-skel.
- neededforbuild/requires: replace jade_dsl/sp with openjade/opensp.
* Wed Jun 19 2002 ke@suse.de
- sgmltools-lite.spec: Also requires python iso_ent
  docbook-dsssl-stylesheets docbook_3 docbook_4 jade_dsl sp; reported
  by Michal Svec [# 16535].
* Mon Oct  1 2001 ke@suse.de
- sgmltools-lite.spec: Require 'w3m'; reported by Pavel Janik [#11518].
* Fri Jul  6 2001 ke@suse.de
- Install manpage as sgmltools-lite to avoid filename conflict
  with package 'sgmltool'; reported by Peter Poeml [#6428].
* Wed Mar 28 2001 ke@suse.de
- Fix neededforbuild: s/docbkdsl/docbook-dsssl-stylesheets/ .
* Thu Mar 22 2001 ke@suse.de
- Apply patch received via feedback@suse.de to fix an HTML creation
  problem [#6805]; thanks a lot!
* Wed Mar 14 2001 ro@suse.de
- dockbk_4 -> docbook_4
* Tue Mar 13 2001 ro@suse.de
- fixed neededforbuild
* Fri Nov  3 2000 ke@suse.de
- Initial package: version 3.0.2.
